Bug 1130784 - [abrt] telepathy-mission-control: mcd_service_run(): mission-control-5 killed by SIGSEGV
Summary: [abrt] telepathy-mission-control: mcd_service_run(): mission-control-5 killed...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-mission-control
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:44f60ee352262e4ab4c92491385...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-17 17:32 UTC by Mads Kiilerich
Modified: 2015-06-29 22:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:06:39 UTC


Attachments (Terms of Use)
File: backtrace (3.67 KB, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: cgroup (166 bytes, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: core_backtrace (746 bytes, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: dso_list (2.80 KB, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: environ (1019 bytes, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: maps (8.27 KB, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: open_fds (304 bytes, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: proc_pid_status (777 bytes, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details
File: var_log_messages (3.52 KB, text/plain)
2014-08-17 17:33 UTC, Mads Kiilerich
no flags Details

Description Mads Kiilerich 2014-08-17 17:32:59 UTC
Version-Release number of selected component:
telepathy-mission-control-5.16.2-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/libexec/mission-control-5
crash_function: mcd_service_run
executable:     /usr/libexec/mission-control-5
kernel:         3.15.9-200.fc20.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            42

Truncated backtrace:
warning: core file may not match specified executable file.
[New LWP 11658]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/libexec/mission-control-5'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0x080552a4 in mcd_service_run (self=0x0) at mcd-service.c:190
190	    g_main_loop_run (self->main_loop);

Thread 1 (Thread 0xb739b780 (LWP 11658)):
#0  0x080552a4 in mcd_service_run (self=0x0) at mcd-service.c:190
No locals.
#1  0x08052fb8 in main (argc=1, argv=0xbf8a4ea4) at mc-server.c:194
        act = {__sigaction_handler = {sa_handler = 0x80532a0 <signal_handler>, sa_sigaction = 0x80532a0 <signal_handler>}, sa_mask = {__val = {0 <repeats 32 times>}}, sa_flags = 0, sa_restorer = 0xbf8a4eac}
        empty_mask = {__val = {0 <repeats 32 times>}}
From        To          Syms Read   Shared Object Library
0xb777bee0  0xb777ff34  Yes         /lib/libmission-control-plugins.so.0
0xb773cd70  0xb7762bb4  Yes         /lib/libnm-glib.so.4
0xb76d2210  0xb7708514  Yes         /lib/libnm-util.so.2
0x46c91f20  0x46de2474  Yes         /lib/libtelepathy-glib.so.0
0x41fae630  0x41fc2494  Yes         /lib/libdbus-glib-1.so.2
0xb767a9d0  0xb76aa714  Yes         /lib/libdbus-1.so.3
0x4223acd0  0x4223bde4  Yes         /lib/libgmodule-2.0.so.0
0x423d0a40  0x424ac6e4  Yes         /lib/libgio-2.0.so.0
0x421ee150  0x4221fff4  Yes         /lib/libgobject-2.0.so.0
0x420bf470  0x42161484  Yes         /lib/libglib-2.0.so.0
0x41f25860  0x41f31c90  Yes         /lib/libpthread.so.0
0x41d783d0  0x41ebd6ec  Yes         /lib/libc.so.6
0xb766ef20  0xb7670b44  Yes         /lib/libuuid.so.1
0xb76387c0  0xb765efa4  Yes         /lib/libssl3.so
0xb7610bc0  0xb7627224  Yes         /lib/libsmime3.so
0xb74efda0  0xb75d126d  Yes         /lib/libnss3.so
0xb74bf7b0  0xb74ceac4  Yes         /lib/libnssutil3.so
0xb74b4bd0  0xb74b5cf4  Yes         /lib/libplds4.so
0xb74aeed0  0xb74b08a4  Yes         /lib/libplc4.so
0xb7477960  0xb749b8f4  Yes         /lib/libnspr4.so
0x41f3ead0  0x41f3f9bc  Yes         /lib/libdl.so.2
0xb7466b40  0xb7469e44  Yes         /lib/libgudev-1.0.so.0
0x41fd3950  0x41fd6e6c  Yes         /lib/librt.so.1
0x421ddfc0  0x421e1674  Yes         /lib/libffi.so.6
0x41f8f8e0  0x41f9c994  Yes         /lib/libz.so.1
0x4192cc70  0x41941174  Yes         /lib/libselinux.so.1
0x420916e0  0x420a0654  Yes         /lib/libresolv.so.2
0x41d38880  0x41d5129c  Yes         /lib/ld-linux.so.2
0xb7452840  0xb745cab4  Yes         /lib/libudev.so.1
0xb73e6f80  0xb7435374  Yes         /lib/libpcre.so.1
0xb73be2c0  0xb73d80f4  Yes         /lib/liblzma.so.5
0xb73a10c0  0xb73b66a4  Yes         /lib/libgcc_s.so.1
$1 = 0x0
$2 = 0x0
eax            0x0	0
ecx            0x33	51
edx            0x0	0
ebx            0x80a6000	134897664
esp            0xbf8a4c90	0xbf8a4c90
ebp            0xbf8a4e08	0xbf8a4e08
esi            0xbf8a4d60	-1081455264
edi            0xbf8a4de4	-1081455132
eip            0x80552a4	0x80552a4 <mcd_service_run+20>
eflags         0x10216	[ PF AF IF RF ]
cs             0x73	115
ss             0x7b	123
ds             0x7b	123
es             0x7b	123
fs             0x0	0
gs             0x33	51
Dump of assembler code for function mcd_service_run:
   0x08055290 <+0>:	push   %ebx
   0x08055291 <+1>:	call   0x8053100 <__x86.get_pc_thunk.bx>
   0x08055296 <+6>:	add    $0x50d6a,%ebx
   0x0805529c <+12>:	lea    -0x18(%esp),%esp
   0x080552a0 <+16>:	mov    0x20(%esp),%eax
=> 0x080552a4 <+20>:	mov    0x10(%eax),%eax
   0x080552a7 <+23>:	mov    %eax,(%esp)
   0x080552aa <+26>:	call   0x8051640 <g_main_loop_run@plt>
   0x080552af <+31>:	lea    0x18(%esp),%esp
   0x080552b3 <+35>:	pop    %ebx
   0x080552b4 <+36>:	ret    
End of assembler dump.

Potential duplicate: bug 698932

Comment 1 Mads Kiilerich 2014-08-17 17:33:03 UTC
Created attachment 927528 [details]
File: backtrace

Comment 2 Mads Kiilerich 2014-08-17 17:33:04 UTC
Created attachment 927529 [details]
File: cgroup

Comment 3 Mads Kiilerich 2014-08-17 17:33:06 UTC
Created attachment 927530 [details]
File: core_backtrace

Comment 4 Mads Kiilerich 2014-08-17 17:33:07 UTC
Created attachment 927531 [details]
File: dso_list

Comment 5 Mads Kiilerich 2014-08-17 17:33:08 UTC
Created attachment 927532 [details]
File: environ

Comment 6 Mads Kiilerich 2014-08-17 17:33:09 UTC
Created attachment 927533 [details]
File: exploitable

Comment 7 Mads Kiilerich 2014-08-17 17:33:11 UTC
Created attachment 927534 [details]
File: limits

Comment 8 Mads Kiilerich 2014-08-17 17:33:12 UTC
Created attachment 927535 [details]
File: maps

Comment 9 Mads Kiilerich 2014-08-17 17:33:14 UTC
Created attachment 927536 [details]
File: open_fds

Comment 10 Mads Kiilerich 2014-08-17 17:33:15 UTC
Created attachment 927537 [details]
File: proc_pid_status

Comment 11 Mads Kiilerich 2014-08-17 17:33:16 UTC
Created attachment 927538 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 12:39:27 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 22:06:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.